#
# Find MatrixMarket includes and library
#
# MatrixMarket
# It can be found at:
#
# MatrixMarket_INCLUDE_DIR - where to find matrix_market.h
# MatrixMarket_LIBRARY     - qualified libraries to link against.
# MatrixMarket_FOUND       - do not attempt to use if "no" or undefined.

FIND_PATH(MatrixMarket_INCLUDE_DIR mmio.h
  /usr/local/include
  /usr/include
  $ENV{ELEMENTAL_ROOT}/include
)

FIND_LIBRARY(MatrixMarket_LIBRARY mmio
   /usr/local/lib
   /usr/lib
   $ENV{ELEMENTAL_ROOT}/lib
)

IF(MatrixMarket_INCLUDE_DIR AND MatrixMarket_LIBRARY)
  SET(MatrixMarket_FOUND "YES")
ENDIF(MatrixMarket_INCLUDE_DIR AND MatrixMarket_LIBRARY)

IF (MatrixMarket_FOUND)
  IF (NOT MatrixMarket_FIND_QUIETLY)
    MESSAGE(STATUS
     "Found MatrixMarket:${MatrixMarket_LIBRARY};${MatrixMarket_LIBRARY_C}")
  ENDIF (NOT MatrixMarket_FIND_QUIETLY)
ELSE (MatrixMarket_FOUND)
  IF (MatrixMarket_FIND_REQUIRED)
    MESSAGE(STATUS "MatrixMarket not found!")
  ENDIF (MatrixMarket_FIND_REQUIRED)
ENDIF (MatrixMarket_FOUND)
